Highlighted

can't update to latest Lightroom Classic from 8.31

New Here ,
Aug 14, 2020

Copy link to clipboard

Copied

I have Lightroom Classic vers. 8.31. When launching, it occasionally tells me there is an update available, but my creative cloud app tells me it is up to date. I know there is a vers. 9.2 something out there, but how can I update to it when I am not given the option. all the places the Adobe information tells me to go, is either a different screen (yes everything is supposedly up to date) or just does not list anything for Lightroom Classic.

Adobe Community Professional
Correct answer by Just Shoot Me | Adobe Community Professional

There is no logical reason you are still stuck on 8.3.1.

So the next thing to try is using the CC Cleaner tool to Wipe out all Adobe software (Save your LrC preferences) and then Reinstall everything.

TOPICS
Download and install, How to, Mac, Problem or error

Views

79

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

can't update to latest Lightroom Classic from 8.31

New Here ,
Aug 14, 2020

Copy link to clipboard

Copied

I have Lightroom Classic vers. 8.31. When launching, it occasionally tells me there is an update available, but my creative cloud app tells me it is up to date. I know there is a vers. 9.2 something out there, but how can I update to it when I am not given the option. all the places the Adobe information tells me to go, is either a different screen (yes everything is supposedly up to date) or just does not list anything for Lightroom Classic.

Adobe Community Professional
Correct answer by Just Shoot Me | Adobe Community Professional

There is no logical reason you are still stuck on 8.3.1.

So the next thing to try is using the CC Cleaner tool to Wipe out all Adobe software (Save your LrC preferences) and then Reinstall everything.

TOPICS
Download and install, How to, Mac, Problem or error

Views

80

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 14, 2020 0
LEGEND ,
Aug 14, 2020

Copy link to clipboard

Copied

Please post your System Information as Lightroom Classic (LrC) reports it. In LrC click on Help, then System Info, then Copy. Past that information into a reply. Please present all information from first line down to and including Plug-in Info. Info after Plug-in info can be cut as that is just so much dead space to us non-Techs.

 

davidg36166309_0-1597435911464.png

 

davidg36166309_1-1597435911465.png

 

 

davidg36166309_2-1597435911465.png

 

 

Just another Adobe customer; My Sys; APP: LRC 10.0, PS 22.0; CMP: WIN WS 16GB OS 10 v1909 (18363), mid 2015 MBPr 15” 16GB MACOS 10.15.7; 4K EXT DSPY; CAM: Canon 5D Mk III, Fuji X-T3

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2020 0
New Here ,
Aug 14, 2020

Copy link to clipboard

Copied

Lightroom Classic version: 8.3.1 [ 201905241238-dcd7e2de ]
License: Creative Cloud
Language setting: en-US
Operating system: Mac OS 10
Version: 10.15.5 [19F101]
Application architecture: x64
Logical processor count: 12
Processor speed: 2.9 GHz
Built-in memory: 16,384.0 MB
Real memory available to Lightroom: 16,384.0 MB
Real memory used by Lightroom: 1,280.9 MB (7.8%)
Virtual memory used by Lightroom: 5,801.2 MB
Memory cache size: 855.5MB
Internal Camera Raw version: 11.3 [ 197 ]
Maximum thread count used by Camera Raw: 5
Camera Raw SIMD optimization: SSE2,AVX,AVX2
Camera Raw virtual memory: 239MB / 8191MB (2%)
Camera Raw real memory: 249MB / 16384MB (1%)
Displays: 1) 3360x2100

Graphics Processor Info:
Metal: AMD Radeon Pro 560X



Application folder: /Applications/Adobe Lightroom Classic
Library Path: /Users/sven/Lightroom Catalog for NAS/Lightroom 4
Catalog-2-2-4-2.lrcat
Settings Folder: /Users/sven/Library/Application Support/Adobe/Lightroom

Installed Plugins:
1) Facebook
2) Flickr
3) HDR Efex Pro 2
4) Imagely

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2020 0
LEGEND ,
Aug 14, 2020

Copy link to clipboard

Copied

Also, check that you have the latest version of the Adobe Creative Cloud Desktop App.

 

https://helpx.adobe.com/creative-cloud/release-note/cc-release-notes.html

 

Just another Adobe customer; My Sys; APP: LRC 10.0, PS 22.0; CMP: WIN WS 16GB OS 10 v1909 (18363), mid 2015 MBPr 15” 16GB MACOS 10.15.7; 4K EXT DSPY; CAM: Canon 5D Mk III, Fuji X-T3

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2020 0
LEGEND ,
Aug 14, 2020

Copy link to clipboard

Copied

And, current minimal system requirements, see:

 

https://helpx.adobe.com/lightroom-classic/system-requirements.html

 

Just another Adobe customer; My Sys; APP: LRC 10.0, PS 22.0; CMP: WIN WS 16GB OS 10 v1909 (18363), mid 2015 MBPr 15” 16GB MACOS 10.15.7; 4K EXT DSPY; CAM: Canon 5D Mk III, Fuji X-T3

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2020 1
Adobe Community Professional ,
Aug 14, 2020

Copy link to clipboard

Copied

I had same problem. I had to update my OS in order to install newest LRC version

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2020 0
Adobe Community Professional ,
Aug 14, 2020

Copy link to clipboard

Copied

Depending on the operating system your computer is using will limit you to older versions of both the Creative Cloud desktop app and other programs.

 

You need Windows 10 ot at least OS X 10.13.6 on a Apple Mac computer.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2020 0